Class | REXML::SourceFactory
In: | rexml/source.rb
Parent: | Object

Generates Source-s. USE THIS CLASS.

### Methods

create_from

### Public Class methods

create_from(arg

Generates a Source object @param arg Either a String, or an IO @return a Source, or nil if a bad argument was given

[Source]

    # File rexml/source.rb, line 9
                    def SourceFactory::create_from arg#, slurp=true
                            if arg.kind_of? String
                                    source = Source.new(arg)
                            elsif arg.kind_of? IO
                                    source = IOSource.new(arg)
                            end
                            source
                    end

[Validate]